Kata Description
----------------

Given a letter print a diamond starting with 'A'
with the supplied letter at the widest point.

For example: print-diamond 'E' prints

<pre>
    A
   B B
  C   C
 D     D
E       E
 D     D
  C   C
   B B
    A
</pre>
For example: print-diamond 'C' prints

<pre>
  A
 B B
C   C
 B B
  A
</pre>